Subject: Re: sendmsg ignoring bind?

From: Wichert Akkerman <[email-masked]>
Date: Fri, 20 May 2005 15:31:44 +0200

Previously Herbert Xu wrote:
> I suppose we can expect to have this in a future release of strace :)

It just might happen :)

> > cmsg_type=IP_PKTINFO, {ifindex=0,ipi_spec_dst=inet_addr("0.0.0.0"),ipi_addr=("0.0.0.0")}}, msg_flags=0},
> 
> This is far from useless.  This will set the source address back to zero
> which essentially means that the bound address is ignored.

I can see it being useful, except in my case it is somewhat unexpected
and undesirable behaviour. I'll make sure to have that fixed in
FreeRADIUS though.

Wichert.

-- 
Wichert Akkerman <[email-masked]>    It is simple to make things.
http://www.wiggy.net/                   It is hard to make things simple.